# $Revision: 1.27 $, $Date: 2010/06/29 21:58:48 $

%define		_state		stable
%define		origname	kdeaccessibility
%define		qtver		4.6.3

Summary:	Accessibility support for KDE
Summary(pl.UTF-8):	Ułatwienia dostępu dla KDE
Name:		kde4-kdeaccessibility
Version:	4.4.5
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{origname}-%{version}.tar.bz2
# Source0-md5:	c8034d8475185faad52556ab61c55c56
URL:		http://www.kde.org/
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	speech-dispatcher-devel >= 0.6.6
BuildRequires:	xorg-lib-libXtst-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Accessibility support for KDE.

%description -l pl.UTF-8
Ułatwienia dostępu dla KDE.

%package devel
Summary:	Accessibility support for KDE - header files
Summary(pl.UTF-8):	Ułatwienia dostępu dla KDE - pliki nagłówkowe
Group:		X11/Applications
Requires:	kde4-kdelibs-devel = %{version}

%description devel
Accessibility support for KDE - header files.

%description devel -l pl.UTF-8
Ułatwienia dostępu dla KDE - pliki nagłówkowe.

%package ColorSchemes
Summary:	KDE Color Schemes
Summary(pl.UTF-8):	Motywy kolorów dla KDE
Group:		X11/Amusements
Requires:	kde4-kdelibs >= %{version}

%description ColorSchemes
KDE Color Schemes.

%description ColorSchemes -l pl.UTF-8
Motyw kolorów dla KDE.

%package -n kde-icons-mono
Summary:	KDE Icons Theme - mono
Summary(pl.UTF-8):	Motyw ikon dla KDE - mono
Group:		X11/Amusements
Requires:	kde4-kdelibs >= %{version}

%description -n kde-icons-mono
KDE Icons Theme - mono.

%description -n kde-icons-mono -l pl.UTF-8
Motyw ikon dla KDE - mono.

%package -n kde-icons-actions
Summary:	KDE Icons Theme - actions
Summary(pl.UTF-8):	Motyw ikon dla KDE - actions
Group:		X11/Amusements
Requires:	kde4-kdelibs >= %{version}

%description -n kde-icons-actions
KDE Icons Theme - actions.

%description -n kde-icons-actions -l pl.UTF-8
Motyw ikon dla KDE - actions.

%package kmag
Summary:	A KDE magnifying tool
Summary(pl.UTF-8):	Lupa dla środowiska KDE
Group:		X11/Applications
Requires:	kde4-kdebase >= %{version}

%description kmag
A KDE magnifying tool.

%description kmag -l pl.UTF-8
Lupa dla środowiska KDE.

%package kmousetool
Summary:	KMouseTool - a program that clicks the mouse for you
Summary(pl.UTF-8):	KMouseTool - narzędzie do klikania myszką bez naciskania jej przycisków
Group:		X11/Applications
Requires:	kde4-kdebase >= %{version}

%description kmousetool
KMouseTool is a program that clicks the mouse for you. KMouseTool
clicks the mouse whenever the mouse cursor pauses briefly. It was
designed to help those with repetitive strain injuries, for whom
pressing buttons hurts. It can also drag the mouse, although this
takes a bit more practice.

%description kmousetool -l pl.UTF-8
KMouseTool jest narzędziem do klikania myszką bez naciskania jej
przycisków. KMouseTool klika myszką za każdym razem gdy kursor
zatrzymuje się na krótko. Narzędzie to zostało zaprojektowane by pomóc
osobom z uszkodzeniami mięśni, dla których naciskanie przycisków jest
bolesne. Ponadto może ono przeciągać myszą, aczkolwiek wymaga to
pewnej praktyki.

%package kmouth
Summary:	A frontend for speech synthesizers
Summary(pl.UTF-8):	Frontend do syntezatorów mowy
Group:		X11/Applications
Requires:	kde4-kdebase >= %{version}

%description kmouth
KMouth is a frontend for speech synthesizers. It is a program that
enables persons that cannot speak to let their computers speak. It
includes a history of spoken sentences from which the user can select
sentences to be re-spoken.

Note that KMouth does not include speech synthesizer. Instead it
requires a speech synthesizer installed in the system.

%description kmouth -l pl.UTF-8
KMouth jest frontendem do syntezatorów mowy. Jest to narzędzie dzięki
któremu osoby nieme mogą pozwolić komputerowi mówić za nie. Zawiera on
historię wypowiedzianych zdań, z której to użytkownik może wybrać
zdanie do ponownego wypowiedzenia.

UWAGA! KMouth nie zawiera syntezatora mowy. Zamiast tego wykorzystuje
syntezator zainstalowany w systemie.

%package kttsd
Summary:	KDE Text-to-Speech
Summary(pl.UTF-8):	KDE Tekst-w-Mowę
Group:		X11/Applications
Requires:	kde4-kdelibs >= %{version}
Obsoletes:	kttsd

%description kttsd
KTTS -- KDE Text-to-Speech -- is a subsystem within the KDE desktop
for conversion of text to audible speech. KTTS is currently under
development and aims to become the standard subsystem for all KDE
applications to provide speech output.

%description kttsd -l pl.UTF-8
KTTS -- KDE Tekst-w-Mowę -- jest podsystemem środowiska KDE służącym
do konwersji tekstu w słyszalną mowę. KTTS jest cały czas rozwijany,
jego celem jest zostanie standardowym podsystemem dostarczającym
wyjście mowy dla wszystkich aplikacji KDE.

%package kttsd-gstreamer
Summary:	KTTS GStreamer plugin
Summary(pl.UTF-8):	Wtyczka Gstreamer dla KTTS
Group:		X11/Applications
Requires:	%{name}-kttsd = %{version}-%{release}

%description kttsd-gstreamer
KTTS GStreamer plugin.

%description kttsd-gstreamer -l pl.UTF-8
Wtyczka Gstreamer dla KTTS.

%prep
%setup -q -n %{origname}-%{version}

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DLIB_INSTALL_DIR=%{_libdir} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang kmag		--with-kde
%find_lang kmousetool	--with-kde
%find_lang kmouth	--with-kde
%find_lang kttsd	--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	kttsd	-p /sbin/ldconfig
%postun	kttsd	-p /sbin/ldconfig

%files ColorSchemes
%defattr(644,root,root,755)
%{_datadir}/apps/color-schemes/Zion.colors
%{_datadir}/apps/color-schemes/ZionReversed.colors

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkttsd.so

%files -n kde-icons-mono
%defattr(644,root,root,755)
%{_iconsdir}/mono
%exclude %{_iconsdir}/mono/*/apps/kmag.*
%exclude %{_iconsdir}/mono/*/apps/kmousetool.*
%exclude %{_iconsdir}/mono/*/apps/kmouth.*

%files -n kde-icons-actions
%defattr(644,root,root,755)
%{_iconsdir}/hicolor/*/actions/*

%files kmag -f kmag.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kmag
%{_datadir}/apps/kmag
%{_desktopdir}/kde4/kmag.desktop
%{_iconsdir}/*/*/apps/kmag.*
%{_mandir}/man1/kmag.1.*

%files kmousetool -f kmousetool.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kmousetool
%{_datadir}/apps/kmousetool
%{_desktopdir}/kde4/kmousetool.desktop
%{_iconsdir}/*/*/apps/kmousetool.*
%{_mandir}/man1/kmousetool.1.*

%files kmouth -f kmouth.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kmouth
%{_datadir}/apps/kmouth
%{_datadir}/config/kmouthrc
%{_desktopdir}/kde4/kmouth.desktop
%{_iconsdir}/*/*/apps/kmouth.*
%{_mandir}/man1/kmouth.1.*

%files kttsd -f kttsd.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kttsd
%attr(755,root,root) %{_bindir}/kttsmgr
%attr(755,root,root) %{_libdir}/kde4/kcm_kttsd.so
%attr(755,root,root) %{_libdir}/kde4/libkttsd_stringreplacerplugin.so
%attr(755,root,root) %{_libdir}/kde4/libkttsd_talkerchooserplugin.so
%attr(755,root,root) %{_libdir}/kde4/libkttsd_xmltransformerplugin.so
%attr(755,root,root) %ghost %{_libdir}/libkttsd.so.?
%attr(755,root,root) %{_libdir}/libkttsd.so.*.*.*
%{_desktopdir}/kde4/kttsmgr.desktop
%{_datadir}/apps/kttsd
%{_datadir}/kde4/services/kcmkttsd.desktop
%{_datadir}/kde4/services/ktts*.desktop
%{_datadir}/kde4/servicetypes/ktts*.desktop
%{_iconsdir}/*/*/*/female.*
%{_iconsdir}/*/*/*/male.*
%{_iconsdir}/*/*/*/*speak.png

%if %{with gstreamer}
%files kttsd-gstreamer
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/libkttsd_gstplugin.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdeaccessibility.spec,v $
Revision 1.27  2010/06/29 21:58:48  shadzik
- 4.4.5

Revision 1.26  2010/05/28 22:16:23  shadzik
- 4.4.4

Revision 1.25  2010/05/01 13:32:06  shadzik
- 4.4.3

Revision 1.24  2010/03/26 20:14:41  shadzik
- 4.4.2

Revision 1.23  2010/02/27 11:51:55  shadzik
- 4.4.1 try #1

Revision 1.22  2010/02/18 16:32:14  sparky
- dropped unused BR: alsa-lib-devel

Revision 1.21  2010/02/18 00:19:54  shadzik
- merged from DEVEL

Revision 1.19.2.8  2010/02/04 20:55:37  arekm
- up to 4.4.0

Revision 1.19.2.7  2010/02/02 20:53:23  shadzik
- bump up qtver; it's not necessay but we make sure we link with the latest qtver

Revision 1.19.2.6  2010/02/02 13:09:59  shadzik
- force cmake 2.8.0 BR

Revision 1.19.2.5  2010/02/01 00:10:25  shadzik
- 4.4 RC3
- clean up

Revision 1.19.2.4  2010/01/08 21:43:48  rotom
- up to 4.3.90

Revision 1.19.2.3  2009/12/20 16:50:50  shadzik
- 4.4 Beta2

Revision 1.19.2.2  2009/12/05 03:26:02  shadzik
- add speech-dispacher-devel BR
- kttsd is back

Revision 1.19.2.1  2009/12/05 02:57:20  shadzik
- 4.4 beta1
- kttsd needs speechd - TODO

Revision 1.19  2009/12/04 01:50:49  sparky
- BR: Qt3Support-devel, QtSvg-devel, alsa-lib-devel, automoc4, qt4-build,
  qt4-qmake, xorg-lib-libXtst-devel

Revision 1.18  2009/11/28 18:49:59  shadzik
- 4.3.4

Revision 1.17  2009/11/21 23:21:59  sparky
- %{_iconsdir}/hicolor/*/actions dirs belong to hicolor-icon-theme

Revision 1.16  2009/10/31 13:35:27  shadzik
- 4.3.3

Revision 1.15  2009/10/03 08:09:28  shadzik
- 4.3.2 try #1

Revision 1.14  2009/08/29 15:15:03  shadzik
- 4.3.1

Revision 1.13  2009/08/03 15:20:21  arekm
- values are case sensitive it seems

Revision 1.12  2009/07/29 20:07:47  shadzik
- merged from DEVEL

Revision 1.11.2.4  2009/07/29 20:07:35  shadzik
- 4.3.0

Revision 1.11.2.3  2009/07/22 11:47:26  shadzik
-m 4.3rc3

Revision 1.11.2.2  2009/07/04 15:32:36  shadzik
- fix --target build

Revision 1.11.2.1  2009/06/29 20:06:56  shadzik
- 4.3 RC1

Revision 1.11  2009/05/28 22:36:07  shadzik
- changed to -ColorSchemes as kde4-ColorSchemes already exists in kdeartwork

Revision 1.10  2009/05/28 22:29:32  shadzik
- 4.2.4 try #1
- -color-schemes subpackage

Revision 1.9  2009/05/08 15:02:00  shadzik
- release 4

Revision 1.8  2009/05/08 14:33:55  shadzik
- add BR: make >= 2.6.3

Revision 1.7  2009/05/03 20:34:36  shadzik
- fix obvious bullshit

Revision 1.6  2009/05/02 11:04:39  shadzik
- CMAKE_BUILD_TYPE

Revision 1.5  2009/05/02 02:23:59  shadzik
- 4.2.3

Revision 1.4  2009/03/27 22:20:31  shadzik
- 4.2.2

Revision 1.3  2009/02/20 12:15:45  shadzik
- release 2

Revision 1.2  2008/07/24 20:37:18  paszczus
- updated to stable 4.1.0

Revision 1.1  2008/07/23 11:41:47  shadzik
- initial

